Package com.castlabs.sdk.viisights

## Class ViisightData

- java.lang.Object
- - com.castlabs.sdk.viisights.ViisightData

- All Implemented Interfaces:
    `Parcelable`

      public class ViisightData
      extends Object
      implements Parcelable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<ViisightData>` | `CREATOR` |
    `String` | `hotspotsUrl` |
    `String` | `scenesThumbsUrl` |
    `String` | `scenesUrl` |
    `String` | `url` |

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ViisightData` | `create​(String json)` |
    `int` | `describeContents()` |
    `Uri` | `getAbsoluteHotspotsUri​(String manifest)` |
    `String` | `getAbsoluteScenesThumbsUrl​(String manifest)` |
    `Uri` | `getAbsoluteScenesUri​(String manifest)` |
    `Uri` | `getAbsoluteUri​(String manifest)` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final Parcelable.Creator<ViisightData> CREATOR

    - #### url

          public String url

    - #### hotspotsUrl

          public String hotspotsUrl

    - #### scenesUrl

          public String scenesUrl

    - #### scenesThumbsUrl

          public String scenesThumbsUrl

  - ### Method Detail

    - #### create

          public static ViisightData create​(@NonNull
                                            String json)

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`

    - #### getAbsoluteUri

          public Uri getAbsoluteUri​(String manifest)

    - #### getAbsoluteHotspotsUri

          public Uri getAbsoluteHotspotsUri​(String manifest)

    - #### getAbsoluteScenesUri

          public Uri getAbsoluteScenesUri​(String manifest)

    - #### getAbsoluteScenesThumbsUrl

          public String getAbsoluteScenesThumbsUrl​(String manifest)